textures/bounce/bounce_ter_base
{
	q3map_nonPlanar
	q3map_shadeAngle 179                                             
	q3map_lightmapSize 512 512
}

textures/bounce/bounce_ter_sand
{
	qer_editorImage textures/desert_sd/sand_wave_desert.tga
	q3map_baseshader textures/bounce/bounce_ter_base
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/bounce/bounce_ter_rock
{
	qer_editorImage textures/desert_sd/rock_edged_smooth.tga
	q3map_baseshader textures/bounce/bounce_ter_base
	q3map_tcMod scale 2 2
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/bounce/bounce_sky
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_sunExt 0.3 0.3 0.45 60 35 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 65 5 // Amount Iterations
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{	
		fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{	
		fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/bounce/aaawhite
{
	qer_editorimage textures/bounce/aaawhite.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	implicitMap textures/bounce/aaawhite.jpg
}

textures/bounce/aaablack
{
	qer_editorimage textures/bounce/aaablack.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm noimpact
	implicitMap textures/bounce/aaablack.jpg
}

textures/bounce/orange1
{ 
	qer_editorImage textures/bounce/ei/orange_75.jpg
	q3map_surfaceLight 75
	q3map_lightImage textures/bounce/li_white.tga
	qer_trans .7
	cull none 
	noPicmip 
	deformVertexes wave 1 sin -0.5 0 0 1
	surfaceparm nonsolid
	surfaceparm trans 
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 1 0.4 0.0 )
		tcGen environment 
		tcMod scroll -0.01 0.01
		
	} 
}

textures/bounce/orange2
{ 
	qer_editorImage textures/bounce/ei/orange_150.jpg
	q3map_surfaceLight 150
	q3map_lightImage textures/bounce/li_white.tga
	qer_trans .7
	cull none 
	noPicmip 
	deformVertexes wave 1 sin -0.5 0 0 1
	surfaceparm nonsolid
	surfaceparm trans 
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 1 0.4 0.0 )
		tcGen environment 
		tcMod scroll -0.01 0.01
		
	} 
}

textures/bounce/orange3
{ 
	qer_editorImage textures/bounce/ei/orange_300.jpg
	q3map_surfaceLight 300
	q3map_lightImage textures/bounce/li_white.tga
	qer_trans .7
	cull none 
	noPicmip 
	deformVertexes wave 1 sin -0.5 0 0 1
	surfaceparm nonsolid
	surfaceparm trans 
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 1 0.4 0.0 )
		tcGen environment 
		tcMod scroll -0.01 0.01
		
	} 
}

textures/bounce/orange4
{ 
	qer_editorImage textures/bounce/ei/orange_1500.jpg
	q3map_surfaceLight 1500
	q3map_lightImage textures/bounce/li_white.tga
	qer_trans .7
	cull none 
	noPicmip 
	deformVertexes wave 1 sin -0.5 0 0 1
	surfaceparm nonsolid
	surfaceparm trans 
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 1 0.4 0.0 )
		tcGen environment 
		tcMod scroll -0.01 0.01
		
	} 
}

textures/bounce/orangeice
{ 
	qer_editorimage textures/bounce/orangeice.tga
	q3map_surfaceLight 50
	q3map_lightImage textures/bounce/li_white.tga
	qer_trans .7
	noPicmip 
	deformVertexes wave 1 sin -0.5 0 0 1
	surfaceparm trans 
	surfaceparm nonsolid
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 1 0.7 0.2 ) 
		tcGen environment 
		tcMod scroll 0.01 -0.01
		
	} 
}

textures/bounce/orangeicecushion
{ 
	qer_editorimage textures/bounce/orangeicecushion.tga
	q3map_surfaceLight 50
	q3map_lightImage textures/bounce/li_white.tga
	qer_trans .7
	noPicmip 
	deformVertexes wave 1 sin -0.5 0 0 1
	surfaceparm trans 
	surfaceparm slick
	surfaceparm noimpact
	surfaceparm nodamage
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 1 0.7 0.2 ) 
		tcGen environment 
		tcMod scroll 0.01 -0.01
		
	} 
}

textures/bounce/stone01d_phong
{
	qer_editorImage textures/bounce/ei/stone01d_phong.jpg
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/egyptsoc_wall/stone01d.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/bounce/032-04d_phong
{
	qer_editorImage textures/bounce/ei/032-04d_phong.jpg
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/egyptsoc_trim/032-04d.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/bounce/stone04a_phong
{
	qer_editorImage textures/bounce/ei/stone04a_phong.jpg
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/egyptsoc_wall/stone04a.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/bounce/032-04da
{
	qer_editorimage textures/egyptsoc_trim/032-04d.tga
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm slick
	implicitMap textures/egyptsoc_trim/032-04d.tga
}

textures/bounce/block10ca
{
	qer_editorimage textures/bounce/block10ca.tga
	surfaceparm noimpact
	surfaceparm nodamage
	implicitMap textures/bounce/block10ca.tga
}

textures/bounce/teleport1
{      
	qer_editorimage textures/bounce/teleport1.tga
//	q3map_surfaceLight 1000
	q3map_lightImage textures/bounce/li_white.tga
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{
		
		clampmap textures/bounce/teleport1.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5
		tcmod rotate 120	
	}
	{
		
		clampmap textures/bounce/teleport1.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate -80	
	}
	

}

textures/bounce/teleport2
{      
	qer_editorimage textures/bounce/teleport2.tga
//	q3map_surfaceLight 1000
	q3map_lightImage textures/bounce/li_white.tga
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{
		
		clampmap textures/bounce/teleport2.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5	
		tcmod rotate -120	
	}
	{
		
		clampmap textures/bounce/teleport2.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate 80	
	}
	

}

textures/t_text/chain
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm trans
	implicitMask -
}

textures/t_text/fl_att
{
	qer_editorimage textures/t_text/suurusetest.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

levelshots/bounce_b2_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/bounce_b2_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/bounce_b2_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/bounce_b2_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

levelshots/bounce_b2
{
	qer_editorimage levelshots/bounce_b2.tga
	nopicmip
	nocompress
	nomipmaps
	surfaceparm trans
	surfaceparm alphashadow
	cull twosided
	qer_transparent 0.2
	{
		clampmap levelshots/bounce_b2.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		blendfunc filter
	}
	{
		clampmap levelshots/bounce_b2.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		blendfunc filter
		blendfunc add	
            rgbgen wave sin .5 .3 0 1
	}
} 

gfx/loading/pin_shot
{
	surfaceparm alphashadow
	implicitMap textures/bounce/empty_pin.tga
}
